Description

As discussed in #4285, a cancel button while creating or editing an item is very useful. It should allow the user to return to the

previous page.

While this was implemented for wiki pages, it currently does not apply to the "+" function in Redmine 3.3, see Screenshot:

 new_wiki.png 

The button should be available for any item, i.e.

- issues

- categories

- versions

- files

- documents

- wiki pages

- news

Related issues:

Related to Redmine - Feature #8888: Add a link / button to get back to the Is... Closed 2011-07-23

History

#1 - 2016-08-10 09:08 - Anonymous

Related to #18051

#2 - 2016-08-29 14:13 - Toshi MARUYAMA

- Description updated

#3 - 2017-02-19 14:33 - Marius BĂLTEANU

Do you consider that the "Cancel" button should behave exactly like the "Back" button from the browser or it should have predefined paths?

For example: Cancel button from Files should redirect to Files index even if you opened the Files new page from "+" button.

#4 - 2017-02-20 17:17 - Anonymous

Marius BALTEANU wrote:

Do you consider that the "Cancel" button should behave exactly like the "Back" button from the browser or it should have predefined paths?

For example: Cancel button from Files should redirect to Files index even if you opened the Files new page from "+" button.

 Predefined paths could be quite confusing, so I suggest it should work exactly like a browser's "back" button.

#5 - 2017-03-08 07:09 - Marius BĂLTEANU

- File rm_23555_add_cancel_button.patch added

Totally agree with JW Fuchs, a cancel button will improve the UX. Even if you have the "Back" button available to return to the previous page, for me

and our users is more natural to click on a cancel button when you don't want to go forward with the submit/save operation.

Attached is a patch proposal which adds the cancel button in most of the pages. JW Fuchs, can you test it and tell me your feedback?

I don't think that tests are necessary.
#6 - 2017-04-09 11:52 - Jean-Philippe Lang

Marius BALTEANU wrote:

Attached is a patch proposal which adds the cancel button in most of the pages. JW Fuchs, can you test it and tell me your feedback?

Thanks for the patch Marius but linking to url_for(:back) does not work after a validation error:

go to /time_entries/new

don't fill anything and hit Create => you get a validation error

clicking Cancel then sends you back to /time_entries/new

#7 - 2017-04-09 12:04 - Marius BĂLTEANU

Thanks for your feedback, Jean-Philippe. Unfortunately, I didn't test this scenario. I'll look for another solution.

#8 - 2017-05-09 05:49 - Toshi MARUYAMA

- Related to Feature #8888: Add a link / button to get back to the Issue/Time tracking screen from the "Log time" screen added

#9 - 2018-06-19 01:14 - Marius BĂLTEANU

Jean-Philippe Lang wrote:

Thanks for the patch Marius but linking to url_for(:back) does not work after a validation error:

go to /time_entries/new

don't fill anything and hit Create => you get a validation error

clicking Cancel then sends you back to /time_entries/new

 I think I've found a solution to this issue and I've attached a patch to #8888 to validate the implementation.

#10 - 2018-09-26 09:51 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

Files

new_wiki.PNG 11 KB 2016-08-10 Anonymous

rm_23555_add_cancel_button.patch 17.5 KB 2017-03-08 Marius BĂLTEANU
